import CoUxDropdownButton from '../../../../components/10x/ux/ux-dropdown-button.js';
import CoUxDropdownButtonItem from '../../../../components/10x/ux/ux-dropdown-button-item.js';
import EuiBasePage from '../eui-base.po.js';

export default class DropdownButtonPage extends EuiBasePage {
  constructor() {
      super();
  }
  dropdownButtonByIndex(index) {
    let dropdownButton =  new CoUxDropdownButton(this.mainContent);
    return dropdownButton.byIndex(index);
  }
  dropdownButtonByTextContains(text) {
    let dropdownButton = new CoUxDropdownButton(this.mainContent);
    return dropdownButton.byTextContains(text);
  }
  dropdownButtonByTextEqualsAndIndex(text, index, normalize=true) {
    let dropdownButton = new CoUxDropdownButton(this.mainContent);
    return dropdownButton.byTextEqualsAndIndex(text, index, normalize);
  }
  dropdownButtonFromSectionById(id) {
    return new CoUxDropdownButton(this.sectionById(id));
  }
  dropdownButtonItemFromSectionById(id) {
    return new CoUxDropdownButtonItem(this.sectionById(id));
  }
  dropdownButtonFromSectionWithIdByIndex(id, index) {
    let dropdownButton = new CoUxDropdownButton(this.sectionById(id));
    return dropdownButton.byIndex(index);
  }
}


